Subject: Re: Expect: 100-continue and proxies

From: Henrik Nordström <[email-masked]>
Date: Fri, 14 May 2010 12:12:02 +0200

mån 2010-02-22 klockan 14:51 -0800 skrev Jeffrey Mogul:

> I wouldn't expect the working group to use the same formal-verification
> techniques that these authors used (not that it would be a bad idea
> to do so, just that I don't think it will happen), but at least
> people should try to understand the causes of the problems exposed
> by this paper, before changing anything here.

There is one thing we may want to incorporate from that paper and it's
to recommend proxies to synthesize a 100 Continue after a delay when
seeing a request indicating it want to send a body but without Expect:
100-continue. This to solve the deadlock seen when there is 2068 clients
in the mix.

But assuming the number of 2068 clients have declined significantly by
now it should not be much of a issue any longer.

Regards
Henrik